Bug 130955 - Emacs GUD mode does not work with libtool
Summary: Emacs GUD mode does not work with libtool
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-26 02:11 UTC by Dave Malcolm
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 21.3-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-13 15:55:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix GUD based on email to bug-gnu-emacs (495 bytes, patch)
2004-08-26 02:14 UTC, Dave Malcolm
no flags Details | Diff

Description Dave Malcolm 2004-08-26 02:11:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Emacs GUD mode has never allowed me to debug libtoolised applications,
and this has been a source of annoyance to me.

So I tried applying the patch suggested here:
http://lists.gnu.org/archive/html/bug-gnu-emacs/2003-08/msg00183.html

(which describes the same symptoms I've been having)

to my local Emacs and GUD mode now works much better for me (e.g. for
debugging Evolution).


Version-Release number of selected component (if applicable):
emacs-21.3-12

How reproducible:
Always

Steps to Reproduce:
1. invoke gdb command in Emacs
2. Run gdb (like this): libtool gdb evolution
3. libtool complains about unrecognised option `-cd' which GUD mode is
trying to pass to gdb
    

Actual Results:  libtool complains about unrecognised option `-cd'
which GUD mode is trying to pass to gdb, and bails out
    

Expected Results:  libtool to launch gdb and debug the application

Additional info:

Comment 1 Dave Malcolm 2004-08-26 02:14:56 UTC
Created attachment 103110 [details]
Patch to fix GUD based on email to bug-gnu-emacs

Comment 2 Jens Petersen 2004-09-29 16:28:10 UTC
Ok, applying this in 21.3-15.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.